# Uses of Enum Class
org.jboss.classfilewriter.annotations.AnnotationsAttribute.Type

Packages that use AnnotationsAttribute.Type
Package
Description
org.jboss.classfilewriter.annotations

## Uses of AnnotationsAttribute.Type in org.jboss.classfilewriter.annotations

Methods in org.jboss.classfilewriter.annotations that return AnnotationsAttribute.Type
Modifier and Type
Method
Description
`static AnnotationsAttribute.Type`
AnnotationsAttribute.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AnnotationsAttribute.Type[]`
AnnotationsAttribute.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.jboss.classfilewriter.annotations with parameters of type AnnotationsAttribute.Type
Modifier
Constructor
Description
``
`AnnotationsAttribute(AnnotationsAttribute.Type type, ConstPool constPool)`